From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/twine/
Date: Fri, 25 Dec 2020 09:17:16 +0000 (UTC) [thread overview]
Message-ID: <1608887626.dcdd744209d2588b71d022741fe96b27f9be2e4a.mgorny@gentoo> (raw)
commit: dcdd744209d2588b71d022741fe96b27f9be2e4a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 25 08:36:08 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Dec 25 09:13:46 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcdd7442
dev-python/twine: Bump to 3.3.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/twine/Manifest | 1 +
dev-python/twine/twine-3.3.0.ebuild | 66 +++++++++++++++++++++++++++++++++++++
2 files changed, 67 insertions(+)
diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 5879478ddd5..03a73d81249 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1 +1,2 @@
DIST twine-3.2.0.tar.gz 145280 BLAKE2B b25fa984486a375e09705703a47994b529f6e5b48c6733c0a07b57bec6c0dfcdf4096d6ac6b0f9b7a7bfebfb32ea1cfb49c5de79f29495eb2a8fc59a5f8de4e5 SHA512 9959430913ea570d22f2d8b94e929af36b409b71691b3f66de8ddb77cfbfbe36590e21a6062db2a4a4f56ce2eb96984b0a474a93ea96b7734f53ada7a6411c28
+DIST twine-3.3.0.tar.gz 148996 BLAKE2B 60668acd0481534631ca0ecf3c755df7e9e46c6d183d0f1c73ed7467cfecc144878d6ccf7ef2ee62efa17eb5629f5ed74c77c8ae4d57ef16530fad31afe40d97 SHA512 94fc7a9b3f2b5fc7c06baf55debf4fd55f6a2b4c4321c9bff46b844166769ce8bdcab10355c4967998149b62e13b26e11a30ff66042bfdd5af24d448321fd291
diff --git a/dev-python/twine/twine-3.3.0.ebuild b/dev-python/twine/twine-3.3.0.ebuild
new file mode 100644
index 00000000000..6dc766493a0
--- /dev/null
+++ b/dev-python/twine/twine-3.3.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="https://twine.readthedocs.io/ https://github.com/pypa/twine https://pypi.org/project/twine/"
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/munch[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=dev-python/tqdm-4.14[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/readme_renderer-21.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_{6,7} pypy{,3})
+ >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ # avoid a setuptools_scm dependency
+ sed -i "s:use_scm_version=True:version='${PV}',name='${PN//-/.}':" setup.py || die
+ sed -r -i "s:setuptools(_|-)scm[[:space:]]*([><=]{1,2}[[:space:]]*[0-9.a-zA-Z]+|)[[:space:]]*::" \
+ setup.cfg || die
+
+ # requires internet
+ sed -e 's:test_check_status_code_for_wrong_repo_url:_&:' \
+ -i tests/test_upload.py || die
+ rm -f tests/test_integration.py || die
+ # pytest-socket dep relevant only to test_integration, and upstream
+ # disables it anyway
+ sed -i -e '/--disable-socket/d' pytest.ini || die
+
+ sed -i -e '/--cov/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2020-12-25 9:17 UTC|newest]
Thread overview: 97+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-25 9:17 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-15 16:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/twine/ Michał Górny
2024-07-13 8:01 Michał Górny
2024-07-13 7:27 Arthur Zamarin
2024-07-07 17:23 Michał Górny
2024-06-27 12:40 Michał Górny
2024-06-01 8:09 Michał Górny
2024-06-01 7:25 Arthur Zamarin
2024-05-17 6:25 Michał Górny
2024-03-02 11:44 Michał Górny
2024-03-02 10:01 Arthur Zamarin
2024-02-12 4:11 Michał Górny
2023-09-14 9:58 Andrew Ammerlaan
2023-09-10 5:27 WANG Xuerui
2022-12-31 10:55 Michał Górny
2022-12-31 10:44 Arthur Zamarin
2022-12-01 7:09 Michał Górny
2022-07-18 12:25 Sam James
2022-07-04 6:57 Michał Górny
2022-07-02 16:08 Michał Górny
2022-07-02 15:03 Jakov Smolić
2022-06-02 6:42 Michał Górny
2022-05-24 6:16 Michał Górny
2022-05-24 6:16 Michał Górny
2022-05-06 13:38 Michał Górny
2022-05-06 12:56 Jakov Smolić
2022-05-02 19:38 Arthur Zamarin
2022-04-25 16:50 Sam James
2022-04-10 2:35 Matt Turner
2022-04-01 19:48 Michał Górny
2022-04-01 12:27 Michał Górny
2022-02-27 18:52 Michał Górny
2022-02-02 23:21 Michał Górny
2022-01-27 10:02 Michał Górny
2022-01-02 10:59 Michał Górny
2022-01-02 6:31 Sam James
2021-12-28 20:53 Michał Górny
2021-12-28 20:24 Arthur Zamarin
2021-12-01 19:14 Michał Górny
2021-11-28 14:42 Michał Górny
2021-11-25 5:47 Sam James
2021-11-25 5:47 Sam James
2021-11-03 20:53 Michał Górny
2021-08-30 5:57 Michał Górny
2021-08-30 1:23 Sam James
2021-07-28 23:38 Marek Szuba
2021-07-21 7:25 Michał Górny
2021-06-13 11:27 Michał Górny
2021-04-18 7:05 Michał Górny
2021-04-18 1:41 Sam James
2021-03-17 7:48 Michał Górny
2021-03-15 21:44 Michał Górny
2021-01-25 14:29 Michał Górny
2021-01-25 14:06 Sam James
2020-11-28 15:42 Sam James
2020-10-15 18:40 Sergei Trofimovich
2020-09-06 17:34 Sam James
2020-08-22 7:13 Michał Górny
2020-08-01 8:53 Sergei Trofimovich
2020-07-31 1:11 Sam James
2020-07-29 5:01 Sam James
2020-07-25 21:01 Sam James
2020-07-25 14:08 Sam James
2020-07-25 11:17 Sam James
2020-07-25 8:31 Michał Górny
2020-07-25 8:31 Michał Górny
2020-07-14 15:57 Sam James
2020-07-14 13:19 Sam James
2020-07-06 16:44 Sergei Trofimovich
2020-07-05 9:27 Sergei Trofimovich
2020-07-01 12:21 Michał Górny
2020-06-25 18:52 Michał Górny
2020-06-01 20:30 Michał Górny
2020-06-01 17:02 Sergei Trofimovich
2020-05-31 10:04 Sergei Trofimovich
2020-05-30 14:37 Michał Górny
2020-05-30 14:37 Michał Górny
2020-05-30 11:51 Michał Górny
2020-05-30 11:51 Michał Górny
2020-05-29 15:43 Michał Górny
2020-05-28 8:00 Michał Górny
2020-05-04 12:24 Michał Górny
2020-05-03 10:30 Agostino Sarubbo
2020-05-03 10:01 Agostino Sarubbo
2020-03-29 10:13 Michał Górny
2020-03-17 2:09 Matt Turner
2020-03-17 2:09 Matt Turner
2020-03-04 5:01 Michał Górny
2020-03-04 5:01 Michał Górny
2020-02-03 11:31 Agostino Sarubbo
2020-01-31 13:45 Agostino Sarubbo
2019-12-10 19:25 Sergei Trofimovich
2019-12-05 0:21 Patrick McLean
2019-12-05 0:21 Patrick McLean
2019-12-05 0:21 Patrick McLean
2019-11-26 1:45 Patrick McLean
2019-11-25 8:32 Patrick McLean
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1608887626.dcdd744209d2588b71d022741fe96b27f9be2e4a.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox